Skip to main content
GET
/
v1
/
accounts
/
{accountId}
/
voice-library
/
{voiceId}
Get a single voice from the voice library
curl --request GET \
  --url https://api.us.poly.ai/v1/accounts/{accountId}/voice-library/{voiceId} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.us.poly.ai/v1/accounts/{accountId}/voice-library/{voiceId}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.us.poly.ai/v1/accounts/{accountId}/voice-library/{voiceId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "voice": {
    "id": "<string>",
    "name": "<string>",
    "provider": "<string>",
    "providerVoiceId": "<string>",
    "config": {},
    "metadata": {},
    "isPolyVoice": false
  }
}
{
  "success": false,
  "error": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "data": "<unknown>"
}
{
  "success": false,
  "error": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "data": "<unknown>"
}
{
  "success": false,
  "error": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "data": "<unknown>"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

accountId
string
required
voiceId
string
required

Response

Successful response

Response for single voice endpoints.

voice
object
required

A single voice as returned by the public API.

Last modified on May 29, 2026